Skip to main content
POST
/
v1
/
identities
/
{identityId}
/
mailboxes
Create or update an identity mailbox
curl --request POST \
  --url https://openapi.enginy.ai/v1/identities/{identityId}/mailboxes \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "email": "jsmith@example.com",
  "provider": "imap",
  "credentials": {
    "password": "<string>",
    "imapHost": "<string>",
    "imapPort": 32768,
    "smtpHost": "<string>",
    "smtpPort": 32768
  },
  "makePrimary": false
}
'
{
  "status": "success",
  "message": "<string>",
  "data": {
    "id": 123,
    "identityId": 123,
    "email": "<string>",
    "provider": "google",
    "isPrimary": true,
    "emailCredentialsExpired": true,
    "healthStatus": "healthy",
    "warmup": {
      "enabled": true,
      "mailboxId": 123
    }
  }
}

Authorizations

x-api-key
string
header
required

Path Parameters

identityId
string
required

The identity ID that will own the mailbox.

Body

application/json
email
string<email>
required

Mailbox email address

provider
enum<string>
required

Mailbox provider. Programmatic setup currently supports IMAP mailboxes only.

Available options:
imap
credentials
object
required
makePrimary
boolean
default:false

When true, also updates the identity primary email to this mailbox address.

Response

Mailbox updated successfully

status
enum<string>
required
Available options:
success
message
string
required
data
object
required